<c:choose>
	<c:when test="${not empty paySummaryAmendmentCharge}">
		<h2 class="marg-bottom-30 grey-dark">Would you like to pay towards your holiday balance today?</h2>
	</c:when>
	<c:otherwise>
		<h2 class="marg-bottom-30 grey-dark">How much do you want to pay today?</h2>
	</c:otherwise>
</c:choose>



<fmt:formatNumber var="totalAmount"
    value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}"
    type="number" maxFractionDigits="2" minFractionDigits="2"
    pattern="#####.##" />


<fmt:formatNumber var="fullAmount"
    value="${bookingComponent.payableAmount.amount-bookingInfo.calculatedDiscount.amount}"
    type="number" maxFractionDigits="2" minFractionDigits="2"
    pattern="#####.##" />


<c:set var="CONST_LOW_DEPOSIT">lowDeposit</c:set>
<c:set var="PART_PAYMENT">PART_PAYMENT</c:set>
<c:set var="CONST_DEPOSIT">deposit</c:set>
<c:set var="CONST_FULL_COST">fullCost</c:set>
<c:set var="radioSelected" value="false" />
<c:set var="lowDepositValue">0</c:set>
<c:set var="finalDueDate" value="${bookingComponent.pricingDetails['DUE_DATE'][0].itemDescription}" />
<c:set var="minDeposit" value="0" scope="page" />
<c:forEach var="depositComponent"
	items="${bookingComponent.depositComponents}" varStatus="depositSts">
  <c:if test="${depositComponent.depositType == CONST_DEPOSIT}">
		<fmt:formatDate var="topUpDepositDueDate"
			value="${depositComponent.depositDueDate}" pattern="EE dd MMM yyyy" />
    <%-- Outstanding balance after deducting promotional code discount that has been applied--%>
		<fmt:formatNumber var="outstandingBalanceDeposit"
			value="${depositComponent.outstandingBalance.amount-bookingInfo.calculatedDiscount.amount}"
			type="number" maxFractionDigits="2" minFractionDigits="2"
			pattern="#####.##" />
  </c:if>
</c:forEach>
<c:if test="${not empty paySummaryAmendmentCharge}">
	<div class="b deposite-box" id="noThanksDiv" onclick="findPaymentOption('onlyAmendmentCharge');updatePaymentInfo('onlyAmendmentCharge');selectedpaymentMode(this.id)">
		<div class="box with-trigger bdr-blue active marg-bottom-10">
			<input type="radio" style="display:none" id="noThanks" name="depositType" class="radioBtn" value="onlyAmendCharge"/>
		<h2 class="title">No thanks</h2>
		<div class="select-block bg-sand b grey-dark full-hit">
				<c:if test="${radioSelected == true}"><span class="radio"></span> <span> NO THANKS, NOT NOW</span></c:if>
				<c:if test="${radioSelected == false}"><span class="radio active"></span> <span> NO THANKS, NOT NOW</span></c:if>
			</div>
		</div>
	</div>
	<p class="marg-bottom-10 text-c font-i">Or... </p>
	<c:set var="radioSelected" value="true" />
</c:if>
<c:forEach var="depositComponent"
	items="${bookingComponent.depositComponents}" varStatus="depositSts">
	<c:set var="depositType" value="${depositComponent.depositType}"
		scope="page" />
	<c:set var="deposit" value="${depositComponent.depositAmount.amount}"
		scope="page" />
	<fmt:formatDate var="depositDueDate"
		value="${depositComponent.depositDueDate}" pattern="EE dd MMM yyyy" />
		<c:choose>
<%--<c:when test="${depositType == CONST_LOW_DEPOSIT}">
     <div class="b deposite-box" id="quarter-amt"  onclick="updatePaymentInfo('lowDeposit');selectedpaymentMode(this.id)">
	<div class="box with-trigger bdr-blue active marg-bottom-10" >
	<input type="radio" hidden ="true" id="initial" name="depositType" class="radioBtn"
                                                        value="${CONST_LOW_DEPOSIT}"/>
		<h2 class="title">Pay ${poundOrEuro}<fmt:formatNumber value="${deposit}" type="number"
								maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /> deposit</h2>
		<p class="marg-top--5 marg-bottom-10 grey-med">${poundOrEuro}<span
							id="creditCardChargeAmt_lowDeposit"></span> if paying by credit card.</p>
		<p class="title">Further payments</p>
		<p class="marg-left-10 grey-med"><span class="grey-dark">${poundOrEuro}<fmt:formatNumber
								value="${depositComponent.outstandingBalance.amount}"
								type="number" maxFractionDigits="2" minFractionDigits="2"
								pattern="#####.##" /></span> by <c:out value="${depositDueDate}" /></p>
		<p class="marg-left-10 marg-bottom-10 grey-med"><span class="grey-dark">${poundOrEuro}<c:out value="${outstandingBalanceDeposit}" /></span> by <c:out value="${topUpDepositDueDate}" /></p>
		<p class="title">Total amount payable</p>
		<p class="marg-left-10">${poundOrEuro}<c:out value="${fullAmount}" /></p>
			<div class="select-block bg-sand b grey-dark full-hit">
			<span class="radio active"></span><span class="rtext">Selected</span>

		</div>
	</div>
</div>
<p class="marg-bottom-10 text-c font-i">Or... </p>
<c:set var="radioSelected" value="true" />
</c:when>--%>

<c:when test="${depositType == CONST_DEPOSIT}">
	<c:set var="minDeposit" value="${depositComponent.depositAmount.amount}" scope="page" />
     <div class="b deposite-box" id="quarter-amt" onclick="findPaymentOption('deposit');updatePaymentInfo('deposit');selectedpaymentMode(this.id)">
		<c:choose>
		   <c:when test="${radioSelected == false}">
		      <div class="box with-trigger bdr-blue active marg-bottom-10">
		   </c:when>
		   <c:otherwise>
		      <div class="box with-trigger bdr-blue marg-bottom-10">
		   </c:otherwise>
		</c:choose>
	<input type="radio" style="display:none" id="initial" name="depositType" class="radioBtn" value="${CONST_DEPOSIT}" />
		<h2 class="title">Pay top up deposit ${poundOrEuro}<fmt:formatNumber value="${deposit}" type="number"
								maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></h2>
		<c:set var="lowDepositValue">${deposit}</c:set>
		<c:if test="${applyCreditCardSurcharge eq 'true'}">
		<p class="marg-top--5 marg-bottom-10 grey-med">${poundOrEuro}<span
							id="creditCardChargeAmt_deposit"></span> if paying by credit card.</p>
		</c:if>
		<p class="title">Further payments</p>
		<p class="marg-left-10 marg-bottom-10 grey-med"><span class="grey-dark">${poundOrEuro}<c:out value="${outstandingBalanceDeposit}" /></span> by <c:out value="${depositDueDate}" /></p>

		<p class="title">Total amount payable</p>
		<p class="marg-left-10">${poundOrEuro}<c:out value="${fullAmount}" /></p>
		<div class="select-block b grey-dark full-hit">
			<c:if test="${radioSelected == true}"><span class="radio"></span> <span class="rtext">Select</span></c:if>
			<c:if test="${radioSelected == false}"><span class="radio active"></span> <span class="rtext">Selected</span></c:if>
		</div>
	</div>
</div>
<p class="marg-bottom-10 text-c font-i">Or... </p>
<c:set var="radioSelected" value="true" />
 </c:when>
</c:choose>
</c:forEach>

<!--<div class="b deposite-box marg-bottom-20" id="other-amt" onclick="selectedpaymentMode(this.id)">-->
<div class="b deposite-box max-width-form" id="other-amt" onclick="findPaymentOption('PART_PAYMENT');selectedpaymentMode(this.id)">
	<div class="box with-trigger bdr-blue marg-bottom-10">
		<input type="radio" style="display:none" id="other" name="depositType" class="radioBtn" value="${PART_PAYMENT}"/>
		<h2 class="title">Pay other amount</h2>
		<p class="marg-top--5 grey-light subTxt">Min ${poundOrEuro}<fmt:formatNumber value="${minDeposit}" type="number"
								maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /> - Max ${poundOrEuro}<c:out value="${fullAmount}"/><br><span id="otheramount"></span></p>
		<c:if test="${not empty lowDepositValue}">
			<div class="subTxt1" style="display:none">
                 <c:out value="${lowDepositValue}"/><br/>
            </div>
		</c:if>
		<div class="row c marg-bottom-10 pad-top-10" style="width:205px">
			<input label="other" type="number" id="part" name="part" step="any" value="" onchange="findPaymentOption('PART_PAYMENT');otherAmountUpdation(),updatePaymentInfo('PART_PAYMENT'),updateChargesForDeposits()" onblur="otherAmountUpdation()" gfv_required="required" />
			<input type="text" value="0" id="getOtheramt" name="getOtheramt" style="display:none" />
			<i class="caret tick green" style="top:15px;"></i>
			<i class="caret erase red" style="top:15px;"></i>
			<span class="message" style="display:none">Please enter valid amount</span>
		</div>
		<div class="select-block b grey-dark full-hit">
			<span class="radio"></span> <span class="rtext">Select</span>
		</div>
	</div>
</div>
<p class="marg-bottom-10 text-c font-i">Or... </p>

<div class="b deposite-box" id="full-amt" onclick="findPaymentOption('fullCost');updatePaymentInfo('fullCost');selectedpaymentMode(this.id)">
	<c:choose>
	   <c:when test="${radioSelected == false}">
	      <div class="box with-trigger bdr-blue active marg-bottom-20">
	   </c:when>
	   <c:otherwise>
	      <div class="box with-trigger bdr-blue marg-bottom-20">
	   </c:otherwise>
	</c:choose>
	<input type="radio" style="display:none" id="full" name="depositType" class="radioBtn" value="${CONST_FULL_COST}"/>
		<h2 class="title">Pay remaining holiday balance ${poundOrEuro}<c:out value="${fullAmount}" /></h2>
		<c:if test="${applyCreditCardSurcharge eq 'true'}">
		<p class="marg-top--5 marg-bottom-10 grey-med">${poundOrEuro}<span
				id="creditCardChargeAmt_fullCost"></span> if paying by credit card.</p>
		</c:if>
		<p class="title">Total amount payable</p>
		<p class="marg-top--5 grey-med">${poundOrEuro}<c:out value="${fullAmount}"/><c:if test="${not empty finalDueDate}"> by <c:out value='${finalDueDate}'/></c:if></p>
		<div class="select-block b grey-dark full-hit">
		<c:if test="${radioSelected == true}"><span class="radio"></span> <span class="rtext">Select</span></c:if>
			<c:if test="${radioSelected == false}"><span class="radio active"></span> <span class="rtext">Selected</span></c:if>
		</div>
	</div>
</div>
<input type="hidden" name="total_transamt"  id="total_transamt"  value="NA" />
<input type="hidden"  id="payment_0_totalTrans" value="1" name="payment_totalTrans"/>
<c:choose>
	<c:when test="${(bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCFALCON') && (fullAmount > 0.0)}">
		<script type="text/javascript" src="/cms-cps/amendandcancel/ancfalcon/js/functions_depositSection.js"></script>
	</c:when>
	<c:when test="${(bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCFALCON') && (fullAmount <= 0.0)}">
		<script type="text/javascript" src="/cms-cps/amendandcancel/ancfalcon/js/functions_depositSection_fullyPaid.js"></script>
	</c:when>
	<c:when test="${(bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCTHFO') || (fullAmount <= 0.0)}">
		<script type="text/javascript" src="/cms-cps/amendandcancel/ancthfo/js/functions_depositSection.js"></script>
	</c:when>
	<c:when test="${(bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCFJFO') || (fullAmount <= 0.0)}">
		<script type="text/javascript" src="/cms-cps/amendandcancel/ancfjfo/js/functions_depositSection.js"></script>
	</c:when>
	<c:otherwise>
		<script type="text/javascript" src="/cms-cps/amendandcancel/js/functions_depositSection.js"></script>
	</c:otherwise>
</c:choose>